import { Button, useColorModeValue, Icon } from "@chakra-ui/react";

export default function BrandButton(props: { [x: string]: any }) {
  const { buttonText, loading = false, disabled = false, icon = '', ...rest } = props;
  const bgButton = useColorModeValue("secondaryGray.300", "whiteAlpha.100");
  const bgHover = useColorModeValue({ bg: "secondaryGray.400" }, { bg: "whiteAlpha.50" });
  const bgFocus = useColorModeValue({ bg: "secondaryGray.300" }, { bg: "whiteAlpha.100" });

  return (
    <Button
      transition="0.2s linear"
      bg={bgButton}
      _hover={bgHover}
      _focus={bgFocus}
      _active={bgFocus}
      borderRadius="8px"
      variant="solid"
      isLoading={loading}
      isDisabled={disabled}
      leftIcon={icon && <Icon as={icon} />} 
      {...rest}
    >
      {buttonText}
    </Button>
  );
}
